.login {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 100vh;
    background: url("https://cdn.traceable.ai/login/login-background-v1.png") no-repeat top right fixed;
    overflow: hidden;
}

.header {
    display: flex;
    height: 80px;
    align-items: end;
    width: 100%;
    padding-left: 120px;
}

.logo {
    height: 32px;
    width: auto;
}

.main {
    display: flex;
    flex: 1;
    align-items: center;
    padding: 16px 120px 72px 120px;
    color: #272c2e;
    font-family: "Avenir Next", Avenir, -apple-system, BlinkMacSystemFont, Roboto, Helvetica, sans-serif;
}

.link {
    cursor: pointer;
    text-decoration: none;
    color: #5c666f;
}

.main .form-container {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.main .form-container .custom-logo {
    max-height: 110px;
    width: fit-content;
    max-width: 260px;
    height: 100%;
    display: flex;
    align-self: center;
}

.main .form-container .form, .main .form {
    background: white;
    max-width: 360px;
    width: fit-content;
    padding: 16px;
    border-radius: 12px;
    box-shadow: 0 8px 20px rgba(63, 71, 74, 0.16), 0 2px 12px rgba(63, 71, 74, 0.08), 0 1px 8px rgba(63, 71, 74, 0.08);
}

.main .form .form-header .form-title {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 12px 8px;
    color: #5c666f;
    text-decoration: none;
    font-size: 13px;
    letter-spacing: 0.7px;
    font-weight: 500;
    box-shadow: 0 1px 0 0 rgba(92, 102, 111, 0.2);
    margin-bottom: 16px;
}

.main .form-container .form .form-header {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 12px 8px;
    color: #5c666f;
    text-decoration: none;
    font-size: 13px;
    letter-spacing: 0.7px;
    font-weight: 500;
    font-family: "Avenir Next", Avenir, -apple-system, BlinkMacSystemFont, Roboto, Helvetica, sans-serif;
    box-shadow: 0 1px 0 0 rgba(92,102,111,0.2);
    margin-bottom: 16px;
}

.main .form-container .form .form-body, .main .form .form-body {
    padding: 0 12px;
}

.main .form-container .form .form-footer, .main .form .form-footer {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 12px 8px;
    color: #5c666f;
    text-decoration: none;
    font-size: 13px;
    letter-spacing: 0.7px;
    font-weight: 500;
    font-family: "Avenir Next", Avenir, -apple-system, BlinkMacSystemFont, Roboto, Helvetica, sans-serif;
}

.main .form-container .form .social-button {
    height: 44px;
    display: flex;
    background-color: #fff;
    border: 1px solid #dee0e2;
    box-sizing: border-box;
    overflow: hidden;
    border-radius: 3px;
    transition: background-color 0.2s ease-in-out;
    cursor: pointer;
    appearance: none !important;
    text-decoration: none;
    margin-top: 10px;
}

.main .form-container .form .social-button:hover {
    filter: brightness(97%);
    transition: all 0.2s ease-in-out;
}

.main .form-container .form .social-button-icon {
    width: 48px;
    height: 100%;
    margin: 1px;
    background-image: url("data:image/svg+xml;base64,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");
    background-size: 100% auto;
    transition: background-color 0.3s, border 0.2s ease-in-out;
    -webkit-transition: background-color 0.3s, border 0.2s ease-in-out;
}

.main .form-container .form .social-button-text {
    line-height: 46px;
    width: 100%;
    overflow: hidden;
    text-align: center;
    text-overflow: ellipsis;
    font-size: 14px;
    font-weight: 600;
    color: #333;
    white-space: nowrap;
    transition: background 0.3s;
    -webkit-transition: background 0.3s;
}

.main .form-container .form .or {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 12px 8px;
    color: #5c666f;
    text-decoration: none;
    font-size: 13px;
    letter-spacing: 0.7px;
    font-weight: 500;
    font-family: "Avenir Next", Avenir, -apple-system, BlinkMacSystemFont, Roboto, Helvetica, sans-serif;
}

.main .form-container .form .input-container, .main .form .form-body .input-container {
    display: flex;
    position: relative;
    background: #f1f1f1;
    border-radius: 3px;
    border: 1px solid #f1f1f1;
    transition: border-color 0.8s;
    min-width: 200px;
}

.main .form-container .form .input-container:focus-within {
    border: 1px solid #a0a0a0;
}

.main .form-container .form .input-container:hover {
    border: 1px solid #a0a0a0cb;
}

.main .form-container .form .error, .main .form .form-body .error {
    visibility: hidden;
    font-size: 12px;
    color: #fd5138;
    margin-bottom: 4px;
}

.main .form-container .form .input-icon, .main .form .form-body .input-container .input-icon {
    width: 16px;
    height: 16px;
    background-color: transparent;
    padding: 12px 16px;
}

.main .form .input-icon path {
    fill: #888;
}

.main .form .input {
    border: 0;
    padding: 0 14px;
    right: 0;
    height: 40px;
    font-size: 13px;
    width: 100%;
    border-radius: 0 2px 2px 0;
    box-sizing: border-box;
    position: relative;
    color: #000000dd;
}

.main .form .input:focus {
    outline: none !important;
    border: 0;
    box-shadow: none;
}

.main .form .additional-actions {
    display: flex;
    align-items: center;
    margin-bottom: 24px;
    font-size: 15px;
    font-weight: 400;
    color: #5c666f;
    font-family: "Avenir Next", Avenir, -apple-system, BlinkMacSystemFont, Roboto, Helvetica, sans-serif;
}

.main .form .additional-actions .remember-me {
    white-space: nowrap;
}

.main .form .additional-actions .forgot-password {
    text-align: end;
    white-space: nowrap;
    margin-left: 48px;
}

.main .form .additional-actions .forgot-password:hover {
    filter: brightness(80%);
}

.main .form .additional-actions .link:hover {
    filter: brightness(80%);
}

.main .form .checkbox-label {
    font-size: 15px;
    color: #5c666f;
    font-weight: 400;
}

.main .form .back-icon {
    margin-right: 6px;
}

.main .form .submit {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    border: 0;
    height: 48px;
    padding: 14px;
    width: 100%;
    overflow: hidden;
    border-radius: 5px;
    color: white;
    letter-spacing: 1px;
    font-size: 14px;
    text-transform: uppercase;
    box-sizing: border-box;
    background-color: #2478ff;
    cursor: pointer;
}

.main .form .submit:hover .label {
    transition: all 0.2s linear;
    font-size: 15px;
}

.main .form .message {
    background: #f1f1f1;
    margin-top: 16px;
    text-align: center;
    border-radius: 3px;
    padding: 6px;
    font-size: 13px;
    font-weight: 400;
    color: #5c666f;
    font-family: "Avenir Next", Avenir, -apple-system, BlinkMacSystemFont, Roboto, Helvetica, sans-serif;
}
